Cantera 2.6.0

Classes | Enumerations | Variables
Sub.h File Reference
`#include "cantera/base/ctexceptions.h"`
`#include <algorithm>`
Include dependency graph for Sub.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Substance

## Enumerations
enum | type { TV = 12 , HP = 34 , SP = 54 , PV = 42 , TP = 14 , UV = 62 , ST = 51 , SV = 52 , UP = 64 , VH = 23 , TH = 13 , SH = 53 , PX = 47 , TX = 17 , VT = -12 , PH = -34 , PS = -54 , VP = -42 , PT = -14 , VU = -62 , TS = -51 , VS = -52 , PU = -64 , HV = -23 , HT = -13 , HS = -53 , XP = -47 , XT = -17 }
enum | type { H , S , U , V , P , T }

## Variables
const int | Pgiven = 0
const int | Tgiven = 1
const double | Undef = 999.1234

## Enumeration Type Documentation

## ◆ type [1/2]

enum type

Definition at line 17 of file Sub.h.

## ◆ type [2/2]

enum type

Definition at line 29 of file Sub.h.

## Variable Documentation

## ◆ Pgiven

const int Pgiven = 0

Definition at line 25 of file Sub.h.

## ◆ Tgiven

const int Tgiven = 1

Definition at line 25 of file Sub.h.

## ◆ Undef

const double Undef = 999.1234

Definition at line 32 of file Sub.h.